/**********************************************************************
 *
 *   FreeDoko a Doppelkopf-Game
 *    
 *   Copyright (C) 2001-2004  by Diether Knof and Borg Enders
 *
 *   This program is free software; you can redistribute it and/or 
 *   modify it under the terms of the GNU General Public License as 
 *   published by the Free Software Foundation; either version 2 of 
 *   the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details. 
 *   You can find this license in the file 'gpl.txt'.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *   MA  02111-1307  USA
 *
 *  Contact:
 *    Diether Knof dknof@gmx.de
 *    Borg Enders  borg@borgsoft.de
 *
 **********************************************************************/

// this file is included in 'settings.h'



// destroy the menu
static void menu_destroy(GtkWidget* menu, gpointer);


// create the menu with graphic files in 'directory'
void graphic_files_menu_create(GtkWidget* menu, string const& directory,
			       Setting::TypeString const type);
// adds all subdirs from 'directory' with graphic files
void graphic_files_menu_add_subdir(GtkWidget* menu,
				   string const& main_directory,
				   string const& directory,
				   unsigned const depth,
				   Setting::TypeString const type);
// a new cardset is selected
static void settings_menu_select_event(GtkWidget* menu_item,
				       gpointer settings);

// the cardset

// create the menu for the cardset
void cardset_menu_create(GtkWidget* menu);
// adds all subdirs from 'directory' with style information to 'menu'
void cardset_menu_add_subdir(GtkWidget* menu,
			     string const& main_directory,
			     string const& style,
			     unsigned const depth);

// open the menu for the selection of the cardset
static void cardset_menu_show_event(GtkWidget* menu_item,
				    gpointer settings);
// open the menu for the selection of the cardset
void cardset_menu_show();


// the back of the cards

// open the menu for the selection of the cardset
static void cards_back_menu_show_event(GtkWidget* menu_item,
				       gpointer settings);
// open the menu for the selection of the cardset
void cards_back_menu_show();


// the background

// open the menu for the selection of the cardset
static void background_menu_show_event(GtkWidget* menu_item,
				       gpointer settings);
// open the menu for the selection of the cardset
void background_menu_show();


// the help icons

#ifdef OUTDATED
// create the menu for the cardset
void help_icons_menu_create(GtkWidget* menu);
// adds all subdirs from 'directory' with style information to 'menu'
void help_icons_menu_add_subdir(GtkWidget* menu,
				string const& main_directory,
				string const& directory,
				unsigned const depth);

// open the menu for the selection of the cardset
static void help_icons_menu_show_event(GtkWidget* menu_item,
				       gpointer settings);
// open the menu for the selection of the cardset
void help_icons_menu_show();
#endif


// the language

// create the menu for the cardset
void language_menu_create(GtkWidget* menu);
// open the menu for the selection of the cardset
static void language_menu_show_event(GtkWidget* menu_item,
				     gpointer settings);
// open the menu for the selection of the cardset
void language_menu_show();
